EIGEMIT  is an ICOOL utility that reads file for009.dat
and computes eigenemittances together with other emittance
related quantities. 


Usage:  > eigemit

Input files:    for009.dat	track data
	        eigemit.inp	input parameters

Ouput files:    eigemit.dat	emittances at selected z planes
		eigemit.aux	auxiliary quantities at selected z planes
		eigemit.acc	track ID for particles inside acceptance cuts

The file eigemit.dat lists the quantities
reg	ICOOL region
z	axial location
em1..3	eigenemittances
em6e	product of eigenemittances
wtsum	weight of good events of selected type
wtcut	weight inside momentum band and sigma cuts
wtamp	weight inside acceptance
emX..Z	cartesian 2D emittances
em4s	4D emittance from sigma matrix
em6s	6D emittance from sigma matrix
emT	SQRT(em4s)
emL	longitudinal emittance including amplitude correlation

The file  eigemit.inp  corresponds to a Fortran namelist PAR. The input parameters are:
	accx	(R)	acceptance in x  [m rad]  (0.015)
	accy	(R)	acceptance in y  [m rad]  (0.015)
	accz	(R)	acceptance in z  [m rad]  (0.150)
	canon	(L)	if true => use canonical momentum  (false)
	fname	(A)	name of input file in for009 format
			If parameter is ' ' or is not present => for009.dat 
	itype	(I)	desired ICOOL particle type  {-5,-4,...,5}  (2)
	pacorr	(L)	if true => correct for momentum-transverse amplitude correlation (F)
	pzmin	(R)	minimum momentum for analysis  [GeV/c]  (0.100)
	pzmax	(R)	maximum momentum for analysis  [GeV/c]  (0.300)
	rffreq	(R)	RF frequency for bunch merging  [MeV/m]  (201.)
	sigs	(R)	# of sigmas for cutoff of PS variables  (4.)
	title	(A)	title appearing on .dat and .aux output files  (' ')
	wracc	(L)	if true => write a file of track IDs of accepted tracks  (false)
The input file has the basic structure, e.g.
&par
 itype=2,
 sigs=3
/

The file  eigemit.acc  is used by program ENDOF9.

The program can process a maximum of 100K tracks.